whohas(1)

NAME

whohas - findet Pakete in verschiedenen Repositories

SYNTAX

whohas [--no-threads] [--shallow] [--strict] [-d Dist1[,Dist2[,Dist3 etc.]]] pkgname

BESCHREIBUNG

whohas ist ein Kommandozeilenprogramm, das verfügbare Pakete von Arch, Debian, Fedora, Gentoo, Mageia, Mandriva, openSUSE, Slackware, Source Mage, Ubuntu, FreeBSD, NetBSD, OpenBSD, Fink, MacPorts und Cygwin findet, die einem Suchbegriff entsprechen.

OPTIONEN

--no-threads
    Keine Threads bei der Ausführung, Repositories werden seriell nacheinander befragt und jeweils die Antwort abgewartet (sehr viel langsamer)

--shallow
    Nur ein Aufruf pro Server. Bietet weniger Informationen, ist aber schneller. Typischerweise sind Informationen über Größe und Release-Datum der Pakete betroffen.

--strict
    Listet nur die Pakete, die genau pkgname haben wie ihr Name.

-d Dist1[,Dist2[,Dist3 etc.]]
    Durchsucht nur aufgelistete Distributionen. Gültige Angaben für Dist1 etc. sind "archlinux", "cygwin", "debian", "fedora", "fink", "freebsd", "gentoo", "macports", "mageia", "mandriva", "netbsd", "openbsd", "opensuse", "slackware", "sourcemage", und "ubuntu".

pkgname
    Suchbegriff

DATEIEN

whohas speichert Cachedateien für einige Repositories in ~/.whohas

SIEHE AUCH

intro.txt und /usr/share/doc/whohas/intro.html sind alternative Quellen über whohas.

AUTOR

whohas wird von Philipp Wesche <phi1ipp@yahoo.com> entwickelt.

Diese Dokumentation wurde von Philipp Wesche <phi1ipp@yahoo.com> geschrieben, basierend auf einer Vorlage von Jonathan Wiltshire <debian@jwiltshire.org.uk> für das Debian Projekt.